use bevy::{
    diagnostic::{FrameTimeDiagnosticsPlugin, LogDiagnosticsPlugin},
    prelude::*,
};

pub mod camera;
pub mod map;
pub mod time;
pub mod ui;

#[bevy_main]
pub fn main() {
    App::new()
        .add_plugins((
            DefaultPlugins,
            // bevy_inspector_egui::DefaultInspectorConfigPlugin,
            #[cfg(feature = "debug")]
            bevy_editor_pls::EditorPlugin::default(), // for debug
            camera::Plugin,
            map::Plugin,
            ui::Plugin,
            time::Plugin,
            FrameTimeDiagnosticsPlugin,
            LogDiagnosticsPlugin {
                filter: Some(vec![FrameTimeDiagnosticsPlugin::FPS]),
                ..Default::default()
            },
        ))
        .run();
}
