use bevy::pbr::{ExtendedMaterial, MaterialExtension};
use bevy::prelude::*;
use bevy::render::render_resource::*;

#[derive(Asset, AsBindGroup, Clone, Debug, Reflect)]
pub struct CellMaterialExtension {}

pub type CellMaterial = ExtendedMaterial<StandardMaterial, CellMaterialExtension>;

const SHADER_PATH: &str = "shaders/vertex.wgsl";
impl MaterialExtension for CellMaterialExtension {
    fn vertex_shader() -> ShaderRef {
        SHADER_PATH.into()
    }
    fn fragment_shader() -> ShaderRef {
        SHADER_PATH.into()
    }
}
